Bug 1002746 - [abrt] WARNING: at drivers/usb/core/urb.c:327 usb_submit_urb+0x3be/0x3d0() [NEEDINFO]
[abrt] WARNING: at drivers/usb/core/urb.c:327 usb_submit_urb+0x3be/0x3d0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:508a3f78be291096272046eef1e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 17:18 EDT by Matthew Cline
Modified: 2014-06-23 10:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (7.42 KB, text/plain)
2013-08-29 17:18 EDT, Matthew Cline
no flags Details

  None (edit)
Description Matthew Cline 2013-08-29 17:18:31 EDT
Additional info:
reporter:       libreport-2.1.6
WARNING: at drivers/usb/core/urb.c:327 usb_submit_urb+0x3be/0x3d0()
URB ffff88006f9ea480 submitted while active
Modules linked in: bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables vfat fat fuse acpi_cpufreq mperf kvm_amd kvm atl1c arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd microcode soundcore rt2800usb rt2x00usb rt2800lib serio_raw rt2x00lib joydev k10temp mac80211 cfg80211 sp5100_tco i2c_piix4 crc_ccitt rfkill video nfsd auth_rpcgss nfs_acl lockd uinput binfmt_misc sunrpc radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU: 1 PID: 8543 Comm: kworker/u4:88 Not tainted 3.10.9-200.fc19.x86_64 #1
Hardware name: Hewlett-Packard 110-014/2B01, BIOS 8.19 04/08/2013
Workqueue: phy0 rt2x00usb_work_rxdone [rt2x00usb]
 0000000000000009 ffff880118a79c68 ffffffff8163910b ffff880118a79ca0
 ffffffff8105c221 ffff88010be5a8a0 ffff880126851800 ffff88010be5b970
 ffff880126c76800 ffff88010e17d900 ffff880118a79d00 ffffffff8105c28c
Call Trace:
 [<ffffffff8163910b>] dump_stack+0x19/0x1b
 [<ffffffff8105c221>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c28c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa036716a>] ? rt2x00queue_index_inc+0x6a/0xc0 [rt2x00lib]
 [<ffffffff81456abe>] usb_submit_urb+0x3be/0x3d0
 [<ffffffffa0363074>] ? rt2x00lib_dmastart+0x14/0x20 [rt2x00lib]
 [<ffffffffa0350653>] rt2x00usb_kick_rx_entry+0xb3/0xf0 [rt2x00usb]
 [<ffffffffa03506bb>] rt2x00usb_clear_entry+0x2b/0x30 [rt2x00usb]
 [<ffffffffa0363a6f>] rt2x00lib_rxdone+0x25f/0x580 [rt2x00lib]
 [<ffffffff810971be>] ? dequeue_task_fair+0x41e/0x620
 [<ffffffffa0350da8>] rt2x00usb_work_rxdone+0x68/0xb0 [rt2x00usb]
 [<ffffffff8163d2aa>] ? __schedule+0x2ba/0x740
 [<ffffffff81079ba5>] process_one_work+0x175/0x420
 [<ffffffff8107a7bb>] worker_thread+0x11b/0x3a0
 [<ffffffff8107a6a0>] ? rescuer_thread+0x340/0x340
 [<ffffffff81080b60>] kthread+0xc0/0xd0
 [<ffffffff81080aa0>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164766c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080aa0>] ? insert_kthread_work+0x40/0x40
Comment 1 Matthew Cline 2013-08-29 17:18:37 EDT
Created attachment 791956 [details]
File: dmesg
Comment 2 Justin M. Forbes 2014-01-03 17:11:34 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 3 Matthew Cline 2014-01-05 19:16:57 EST
The only additional info I can provide is that this was the only time abrt caught a problem with USB.  I don't remember any details from when the problem  happened.
Comment 4 Justin M. Forbes 2014-03-10 10:50:55 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 Matthew Cline 2014-03-10 11:51:07 EDT
I've already upgraded to Fedora 20, so I'm never going to reproduce it for Fedora 19.
Comment 6 Justin M. Forbes 2014-05-21 15:30:51 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 7 Justin M. Forbes 2014-06-23 10:40:56 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.